# coding: utf-8
# flake8: noqa
from config.processes import get
import order

categories = [
    {
        "name": "ee_1b",
        "label": "ee 1 btagged jets",
        "label_short": "ee 1b",
        "aux": {"fit": False, "fit_variable": "mll"},
    },
    {
        "name": "mumu_1b",
        "label": "mumu 1 btagged jets",
        "label_short": "mumu 1b",
        "aux": {"fit": False, "fit_variable": "mll"},
    },
    {
        "name": "ee_0b",
        "label": "ee 1 btagged jets",
        "label_short": "ee 0b",
        "aux": {"fit": False, "fit_variable": "mll"},
    },
    {
        "name": "mumu_0b",
        "label": "mumu 1 btagged jets",
        "label_short": "mumu 0b",
        "aux": {"fit": False, "fit_variable": "mll"},
    },
]


def setup_categories(cfg):

    cfg.aux["collate_cats"] = {
        ("_resolved_0b", "_resolved_1b"): ("_incl"),
    }

    for category in categories:
        cfg.add_category(
            category["name"],
            label=category["label"],
            label_short=category["label_short"],
            aux=category["aux"],
        )